/* 
 * AuthManagerUserGestureResponse.java
 * Copyright (C) 2001  eXtropia.com
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package com.eXtropia.auth.authmanager.formvar;

import com.eXtropia.app.UserGestureResponse;
import com.eXtropia.auth.User;

/** 
 *
 * @author  Tim Parker (tim.parker@eXtropia.com)
 * @version 1.0
 */
public class AuthManagerUserGestureResponse extends UserGestureResponse {
    protected User _user;
    protected boolean _registered;

    public AuthManagerUserGestureResponse() {

    }

    public boolean getNewRegisteredUser() {
        return _registered;
    }

    public User getUser() {
        return _user;
    }

    public void setUser(User user) {
        _user = user;
    }

    public void setNewRegisteredUser(boolean registered) {
        _registered = registered;
    }
}