/* 
 * LeaveAuthAppTag.java
 * Copyright (C) 2001  eXtropia.com
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package com.eXtropia.auth.authmanager.formvar.tags;

import java.util.Map;

import com.eXtropia.app.UserGesture;
import com.eXtropia.auth.authmanager.formvar.AuthManagerUserGesture;

/** 
 *
 * @author  Tim Parker (tim.parker@eXtropia.com)
 * @version 1.0
 */
public class LeaveAuthAppTag extends com.eXtropia.view.UrlNavigationTag {
    public Map getRequestParams() {
        AuthManagerUserGesture gesture = (AuthManagerUserGesture) pageContext.getRequest().getAttribute(AuthManagerUserGesture.REQUEST_PARAM_NAME);
        Map map = gesture.getRequestParams();
        map.remove(AuthManagerUserGesture.REQUEST_PARAM_AUTH_PREFIX + UserGesture.VIEW_REQUEST_PARAM_NAME);
        map.remove(AuthManagerUserGesture.REQUEST_PARAM_AUTH_PREFIX + AuthManagerUserGesture.ACTION_REQUEST_PARAM_NAME);
        return map;
    }
}