<%@ taglib uri="/webcal-taglib" prefix="webcal" %>
<%@ taglib uri="/view-taglib" prefix="view"%>
<%@ page import="com.eXtropia.webcal.*"%>
<%@ page import="com.eXtropia.webcal.action.*"%>
<%@ page import="com.eXtropia.webcal.view.*"%>
<%@ page import="com.eXtropia.view.*"%>
<%@ page import="java.text.*"%>
<%@ page import="java.util.*"%>
<%@ page import="com.eXtropia.app.servlet.*"%>
<jsp:useBean id="gesture" class="com.eXtropia.webcal.action.WebCalUserGesture" scope="request"/>
<jsp:useBean id="gestureResponse" class="com.eXtropia.webcal.action.WebCalUserGestureResponse" scope="request"/>
<%
	Locale locale= (Locale)session.getAttribute(ServletUtils.SESSION_ATTRIBUTE_LOCALE);
	DateFormat linkFormat= new SimpleDateFormat("yyyy-MM-dd");
	Calendar calendar= Calendar.getInstance();
	calendar.setTime(gesture.getFocusDate());
	calendar.add(Calendar.DATE, -1);
	String prevDateLink= linkFormat.format(calendar.getTime());
	calendar.add(Calendar.DATE, 2);
	String nextDateLink= linkFormat.format(calendar.getTime());

	NumberFormat nf= new DecimalFormat("00");
	EventOccurrenceTableCell [][] tableCells= DayViewGridGenerator.generateGrid(gesture.getFocusDate(), gestureResponse.getEventOccurrences());
	int j;
	EventOccurrence occurrence;
	Appointment appointment;
	int columnWidth= 99/tableCells.length;
	DateFormat df= DateFormat.getDateInstance(DateFormat.FULL, locale);
	String formattedDate= df.format(gesture.getFocusDate());
	
	View view= (View)pageContext.getRequest().getAttribute(ViewManager.VIEW_ATTRIBUTE_NAME);
	int dayStart= ((Integer)view.getAttribute(WebCalViewAttributes.START_OF_DAY)).intValue();
%>
<TABLE CELLSPACING="0" CELLPADDING="0" BORDER="0" WIDTH="100%">
	<TR>
		<TD>
			<TABLE CELLPADDING="1" CELLSPACING="0" BORDER="0" WIDTH="100%">
				<TR>
					<TH ALIGN="LEFT"><%= formattedDate %></TH>
					<TH CLASS="RIGHT" NOWRAP><webcal:dateHref date="<%= prevDateLink %>" view="Day"><IMG BORDER="0" ALIGN="ABSMIDDLE" SRC="/Images/down.gif" ALT="Previous"></webcal:dateHref><webcal:dateHref date="<%= nextDateLink %>" view="Day"><IMG BORDER="0" ALIGN="ABSMIDDLE" SRC="/Images/up.gif" ALT="Next"></webcal:dateHref></TH>
				</TR>
				<TD>
					<TD HEIGHT="1"></TD>
				</TD>
			</TABLE>
		</TD>
	</TR>
	<TR>
		<TH CLASS="HEADERLABEL">
			<TABLE CELLSPACING="1" CELLPADDING="2" BORDER="0" WIDTH="100%">
				<TR>
					<TD CLASS="ALT" COLSPAN="<%= tableCells.length+1 %>" ALIGN="CENTER">
						<% int eventCount= 0; %>
						<webcal:eventOccurrenceIterator type="holiday">
							<view:next>
								<B><webcal:eventWidget id="subject"/><webcal:eventWidget id="location"/></B><BR>
								<% eventCount++; %>
							</view:next>
						</webcal:eventOccurrenceIterator>
						<webcal:eventOccurrenceIterator type="event">
							<view:next>
								<webcal:details cssClass="DARK"><webcal:eventWidget id="subject"/><webcal:eventWidget id="location"/></webcal:details><BR>
								<% eventCount++; %>
							</view:next>
						</webcal:eventOccurrenceIterator>
						<% if(eventCount == 0) { %>&nbsp;<% }%>
					</TD>
				</TR>
				<% boolean drawRow= false; 
					 boolean timesOnHour;
					for(int i=0;i<24;i++) {
					drawRow= drawRow || i >= dayStart;
					if(!drawRow)
					{
						for(int k= 0;k<tableCells.length;k++)
						{
							if(tableCells[k][i] != null && tableCells[k][i].getOccurrence() != null)
							{
								drawRow= true;
								break;
							}
						}
					}
					if(drawRow) {
				%>
				<TR>
					<TH CLASS="ROWLABEL" WIDTH="1%" NOWRAP VALIGN="TOP">
						<webcal:addUrl hour="<%= i%>" targetView="Day"><%= nf.format(i)%>:00&nbsp;&nbsp;</webcal:addUrl>
					</TH>
					<% for(j=0;j<tableCells.length;j++)
						 { if(tableCells[j][i] != null)
							 { 
								 if(tableCells[j][i].getOccurrence() != null)
								 { 
									 occurrence= tableCells[j][i].getOccurrence();
									 appointment= (Appointment)occurrence.getEvent();
									 timesOnHour= true;
									 calendar.setTime(occurrence.getStartDate());
									 timesOnHour= calendar.get(Calendar.MINUTE) == 0;
									 if(timesOnHour)
									 {
										calendar.setTime(occurrence.getEndDate());
										timesOnHour= calendar.get(Calendar.MINUTE) == 0;
									 } %>
									<TD VALIGN="TOP" WIDTH="<%= tableCells[j][i].getColspan()*columnWidth %>%" BGCOLOR="#FFFFFF" ROWSPAN="<%= tableCells[j][i].getRowspan() %>" COLSPAN="<%= tableCells[j][i].getColspan() %>">
										<webcal:details cssClass="DARK" task="<%= appointment %>" targetView="Day"><webcal:eventWidget id="subject" eventOccurrence="<%= occurrence %>"/><webcal:eventWidget id="location" eventOccurrence="<%= occurrence %>"/><% if(!timesOnHour) { %> (<webcal:eventWidget id="starttime" eventOccurrence="<%= occurrence %>"/> - <webcal:eventWidget id="endtime" eventOccurrence="<%= occurrence %>"/>)<% } %></webcal:details> <webcal:recurrencePatternWidget id="recurrence" event="<%= appointment %>"/>
									</TD>
							<% } else { %>
								<TD CLASS="ALT" BGCOLOR="#FFFFFF" ROWSPAN="<%= tableCells[j][i].getRowspan() %>" COLSPAN="<%= tableCells[j][i].getColspan() %>">
											&nbsp;
									</TD>
							<% } %>
					<% 	 } 
						 } %>
				</TR>
			<% 	}
				} %>
			</TABLE>
		</TH>
	</TR>
	<TR>
		<TD>
			<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" WIDTH="100%">
				<TR>
					<TD BGCOLOR="#FFFFFF">
						<TABLE WIDTH="100%" CELLSPACING="1" CELLPADDING="0" BORDER="0">
							<TR>
								<TH CLASS="HEADERLABEL" WIDTH="100%">&nbsp;&nbsp;&nbsp;&nbsp;</TH>
								<TH><view:urlNavigation view="Add" targetView="Day"><IMG SRC="/Images/add.gif" BORDER="0"></view:urlNavigation></TH>
							</TR>
						</TABLE>
					</TH>
				</TR>
			</TABLE>
		</TD>
	</TR>
</TABLE>