<%@ taglib uri="/webcal-taglib" prefix="webcal" %>
<%@ taglib uri="/view-taglib" prefix="view"%>
<%@ page import="com.eXtropia.webcal.datasource.DataSourceColumns" %>
<%@ page import="com.eXtropia.webcal.*" %>
<%@ page import="com.eXtropia.webcal.view.*" %>
<%@ page import="com.eXtropia.auth.*" %>
<%@ page import="com.eXtropia.view.*" %>
<%@ page import="java.util.*" %>
<jsp:useBean id="gesture" class="com.eXtropia.webcal.action.WebCalUserGesture" scope="request"/>
<jsp:include page="Header.jsp" flush="true"/>
<%!
		public static final int ALL        = DataSourceColumns.TYPE_EVENT + DataSourceColumns.TYPE_APPOINTMENT + DataSourceColumns.TYPE_TASK;
		public static final int APPT_EVENT = DataSourceColumns.TYPE_EVENT + DataSourceColumns.TYPE_APPOINTMENT;
		public static final int TASKS      = DataSourceColumns.TYPE_TASK;
%>
<%
			View view= (View)pageContext.getRequest().getAttribute(ViewManager.VIEW_ATTRIBUTE_NAME);
			User globalUser= (User)view.getAttribute(WebCalViewAttributes.GLOBAL_USER);
			User currentUser= gesture.getUser();
			boolean isGlobalUser= currentUser.getId().equals(globalUser.getId());		
%>
<TABLE WIDTH="100%" BORDER="0" CELLSPACING="2">
	<TR>
		<TD COLSPAN="4">
			&nbsp;
		</TD>
	</TR>
	<TR>
		<TD COLSPAN="4">
			<TABLE ALIGN="RIGHT" CELLPADDING="0" CELLSPACING="5" BORDER="0">
				<view:form method="GET">
					<TR>
						<TD VALIGN="TOP">
							<view:localized id="view.Holiday.year"/>
						</TD>
						<TD>
							<SELECT NAME="<%= gesture.PARAM_HOLIDAY_YEAR %>"><%
								Calendar cal= Calendar.getInstance();
								cal.add(Calendar.YEAR, -4);
								int year;
								for(int i=0;i<10;i++)
								{
									year= cal.get(Calendar.YEAR);
									%><OPTION VALUE="<%= cal.get(Calendar.YEAR) %>"<%= year == gesture.getHy()?" SELECTED":""%>><%= cal.get(Calendar.YEAR) %><%
									cal.add(Calendar.YEAR, 1);
								} 
						%></SELECT>
						</TD>
						<TD VALIGN="TOP">
							<webcal:holiday src="/Images/ok.gif" alt="submit.search.alt"/>
						</TD>
					</TR>
				</view:form>
			</TABLE>
		</TD>
	</TR>
	<TR>
		<TH WIDTH="50%">
			<webcal:taskWidget id="subject" property="label"/>
		</TH>
		<TH WIDTH="25%">
			<webcal:taskWidget id="startdate" property="label"/>
		</TH>
		<TH WIDTH="25%">
			<webcal:taskWidget id="enddate" property="label"/>
		</TH>
		<% if(isGlobalUser) { %>
			<TH CLASS="HEADERLABEL2">
				Details
			</TH>
		<% } %>
	</TR>
	<webcal:eventOccurrenceIterator>
		<view:next>
			<TR>
				<TD>
					<webcal:eventWidget id="subject"/>
				</TD>
				<TD>
					<webcal:eventWidget id="startdate"/>
				</TD>
				<TD>
					<webcal:eventWidget id="enddate"/>
				</TD>
		<% if(isGlobalUser) { %>
				<TD ALIGN="CENTER">
					<webcal:details targetView="Holiday"><IMG BORDER="0" ALIGN="ABSMIDDLE" SRC="/Images/details.gif"></webcal:details>
				</TD>
		<% } %>
			</TR>
		</view:next>
		<view:next>
			<TR CLASS="ALT">
				<TD>
					<webcal:eventWidget id="subject"/>
				</TD>
				<TD>
					<webcal:eventWidget id="startdate"/>
				</TD>
				<TD>
					<webcal:eventWidget id="enddate"/>
				</TD>
		<% if(isGlobalUser) { %>
				<TD ALIGN="CENTER">
					<webcal:details targetView="Holiday"><IMG BORDER="0" ALIGN="ABSMIDDLE" SRC="/Images/details.gif"></webcal:details>
				</TD>
		<% } %>
			</TR>
		</view:next>
	</webcal:eventOccurrenceIterator>
	<%
			if(isGlobalUser)
			{
	%>
	<TR>
		<TD COLSPAN="4">
			<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" WIDTH="100%">
				<TR>
					<TD BGCOLOR="#FFFFFF">
						<TABLE WIDTH="100%" CELLSPACING="1" CELLPADDING="0" BORDER="0">
							<TR>
								<TH CLASS="HEADERLABEL" WIDTH="100%">&nbsp;&nbsp;&nbsp;&nbsp;</TH>
								<TH><view:urlNavigation view="AddHoliday" targetView="Holiday"><IMG SRC="/Images/add.gif" BORDER="0"></view:urlNavigation></TH>
							</TR>
						</TABLE>
					</TH>
				</TR>
			</TABLE>
		</TD>
	</TR>
	<%
		}
	%>
</TABLE>
<%@ include file="Footer.jsp" %>