<%@ taglib uri="/webcal-taglib" prefix="webcal" %>
<%@ taglib uri="/view-taglib" prefix="view"%>
<%@ page import="com.eXtropia.webcal.datasource.DataSourceColumns" %>
<%@ page import="com.eXtropia.webcal.*" %>
<%@ page import="com.eXtropia.view.NextTag" %>
<jsp:useBean id="gesture" class="com.eXtropia.webcal.action.WebCalUserGesture" scope="request"/>
<jsp:include page="Header.jsp" flush="true"/>
<%!
		public static final int ALL        = DataSourceColumns.TYPE_EVENT + DataSourceColumns.TYPE_APPOINTMENT + DataSourceColumns.TYPE_TASK + DataSourceColumns.TYPE_HOLIDAY;
		public static final int APPT_EVENT = DataSourceColumns.TYPE_EVENT + DataSourceColumns.TYPE_APPOINTMENT;
		public static final int TASKS      = DataSourceColumns.TYPE_TASK;
%>
<TABLE WIDTH="100%" BORDER="0" CELLSPACING="2" CELLPADDING="1">
	<TR>
		<TD ALIGN="RIGHT" COLSPAN="3">
			&nbsp;
		</TD>
	</TR>
	<TR>
		<TD COLSPAN="3">
			<TABLE ALIGN="RIGHT" CELLPADDING="0" CELLSPACING="5" BORDER="0">
				<view:form method="GET">
					<TR>
						<TD ROWSPAN="2" VALIGN="TOP">
							<view:localized id="view.all.search"/>
						</TD>
						<TD>
							<INPUT TYPE="TEXT" NAME="<%= gesture.PARAM_SEARCH_KEYWORD %>" VALUE="<%= gesture.getSk() == null?"":gesture.getSk() %>">
						</TD>
						<TD ROWSPAN="2" VALIGN="TOP">
							<webcal:search src="/Images/ok.gif" alt="submit.search.alt"/>
						</TD>
					</TR>
					<TR>
						<TD>
							<SELECT NAME="<%= gesture.PARAM_SEARCH_TYPES %>">
								<OPTION VALUE="<%= (ALL) %>"<%= gesture.getSt() == ALL?" SELECTED":""%>><view:localized id="view.Search.ALL"/>
								<OPTION VALUE="<%= (APPT_EVENT) %>"<%= gesture.getSt() == APPT_EVENT?" SELECTED":""%>><view:localized id="view.Search.APPT_EVENT"/>
								<OPTION VALUE="<%= (TASKS) %>"<%= gesture.getSt() == TASKS?" SELECTED":""%>><view:localized id="view.Search.Tasks"/>
							</SELECT>
						</TD>
					</TR>
				</view:form>
			</TABLE>
		</TD>
	</TR>
	<TR>
		<TH WIDTH="65%">
			<TABLE CELLSPACING="0" CELLPADDING="0" BORDER="0" WIDTH="100%">
				<TR>
					<TH>
						<webcal:taskWidget id="subject" property="label"/>
					</TH>
					<TH CLASS="RIGHT"><webcal:sortTasks sortField="SUBJECT" ascending="false"><IMG BORDER="0" SRC="/Images/down.gif"></webcal:sortTasks><webcal:sortTasks sortField="SUBJECT"><IMG BORDER="0" SRC="/Images/up.gif"></webcal:sortTasks></TH>
				</TR>
			</TABLE>
		</TH>
		<TH WIDTH="25%">
			<TABLE CELLSPACING="0" CELLPADDING="0" BORDER="0" WIDTH="100%">
				<TR>
					<TH>
						<view:localized id="view.Search.type"/>
					</TH>
					<TH CLASS="RIGHT"><webcal:sortSearch sortField="TYPE" ascending="false"><IMG BORDER="0" SRC="/Images/down.gif"></webcal:sortSearch><webcal:sortSearch sortField="TYPE"><IMG BORDER="0" SRC="/Images/up.gif"></webcal:sortSearch></TH>
				</TR>
			</TABLE>
		</TH>
		<TH CLASS="HEADERLABEL2" WIDTH="10%">
			<view:localized id="view.all.details"/>
		</TH>
	</TR>
	<webcal:taskIterator>
		<view:next>
			<%
					Object task= request.getAttribute(NextTag.REQUEST_ATTRIBUTE_NAME);
			%>
			<TR>
				<TD>
					<webcal:taskWidget id="subject"/><% if (task instanceof Event) { %> <webcal:recurrencePatternWidget id="recurrence" event="<%= (Event)task %>"/><% } %>
				</TD>
				<TD>
					<% 
						if(task instanceof Holiday)
						{
							%><view:localized id="view.Search.Holiday"/><%
						}
						else if(task instanceof Appointment)
						{
							%><view:localized id="view.Search.Appointment"/><%
						}
						else if(task instanceof Event)
						{
							%><view:localized id="view.Search.Event"/><%
						}
						else
						{
							%><view:localized id="view.Search.Task"/><%
						}
					%>
				</TD>
				<TD ALIGN="CENTER" VALIGN="MIDDLE">
					<webcal:details targetView="Search"><IMG BORDER="0" ALIGN="ABSMIDDLE" SRC="/Images/details.gif"></webcal:details>
				</TD>
			</TR>
		</view:next>
		<view:next>
			<%
					Object task= request.getAttribute(NextTag.REQUEST_ATTRIBUTE_NAME);
			%>
			<TR CLASS="ALT">
				<TD>
					<webcal:taskWidget id="subject"/><% if (task instanceof Event) { %> <webcal:recurrencePatternWidget id="recurrence" event="<%= (Event)task %>"/><% } %>
				</TD>
				<TD>
					<% 
						if(task instanceof Holiday)
						{
							%><view:localized id="view.Search.Holiday"/><%
						}
						else if(task instanceof Appointment)
						{
							%><view:localized id="view.Search.Appointment"/><%
						}
						else if(task instanceof Event)
						{
							%><view:localized id="view.Search.Event"/><%
						}
						else
						{
							%><view:localized id="view.Search.Task"/><%
						}
					%>
				</TD>
				<TD ALIGN="CENTER" VALIGN="MIDDLE">
					<webcal:details targetView="Search"><IMG BORDER="0" ALIGN="ABSMIDDLE" SRC="/Images/details.gif"></webcal:details>
				</TD>
			</TR>
		</view:next>
	</webcal:taskIterator>
</TABLE>
<%@ include file="Footer.jsp" %>