use test;

DROP TABLE INTRANET_CAL;
DROP TABLE INTRANET_USERS;
DROP TABLE INTRANET_USER_GROUPS;


CREATE TABLE INTRANET_CAL
(
        id INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
        type INT NOT NULL,
        owner VARCHAR(50) NOT NULL,
        start_date DATETIME,
        end_date DATETIME,
        subject VARCHAR(255) NOT NULL,
        description VARCHAR(255),
        location VARCHAR(255),
        status INT NOT NULL,
        priority INT NOT NULL,
        last_mod_by VARCHAR(50) NOT NULL,
        last_mod DATETIME NOT NULL,
        recurrence INT,
        r_until DATETIME,
        r_interval INT,
        r_dow_mask INT,
        r_instance INT
);

CREATE TABLE INTRANET_USERS
(
        username VARCHAR(30) NOT NULL PRIMARY KEY,
        password VARCHAR(30) NOT NULL
);

CREATE TABLE INTRANET_USER_GROUPS
(        username VARCHAR(30) NOT NULL,
        groupname VARCHAR(30) NOT NULL
);

INSERT INTO INTRANET_USERS (username, password) VALUES ('name1', 'password1');
INSERT INTO INTRANET_USERS (username, password) VALUES ('name2', 'password2');
INSERT INTO INTRANET_USERS (username, password) VALUES ('global', 'global');
