/**
 * WebCalAuthManagerInitServlet.java
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package com.eXtropia.auth;

import com.eXtropia.app.ExtropiaVersion;
import com.eXtropia.app.WebCalVersion;
import com.eXtropia.config.ConfigException;

/**
 * WebCalAuthManagerInitServlet.java
 * WebCalAuthManagerInitServlet.java is a class.
 * 
 * @author <a href="st_lim@eXtropia.com">st_lim</a>
 * @created Aug 19, 2002 4:44:33 PM
 * @version $Id: WebCalAuthManagerInitServlet.java,v 1.4 2002/11/16 10:34:32 rayfd Exp $
 */
public class WebCalAuthManagerInitServlet extends AuthManagerInitServlet {

    /**
     * Constructor for WebCalAuthManagerInitServlet.
     */
    public WebCalAuthManagerInitServlet() {
        super();
    }

    /* (non-Javadoc)
     * @see com.eXtropia.app.servlet.ExtropiaServlet#getAppVersion()
     */
    protected ExtropiaVersion getAppVersion() throws ConfigException {
        ExtropiaVersion result = new WebCalVersion();
        return result;
    }

}
