/* 
 * SmsDispatcher.java
 * Copyright (C) 2000  eXtropia.com
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package com.eXtropia.sms.dispatcher;

import com.eXtropia.config.Configurable;
import com.eXtropia.sms.Sms;

/**
 * Describe interface <code>SmsDispatcher</code> here.
 *
 * @author <a href="mailto:carlo@eXtropia.com">Carlo Ravagli</a>
 * @author <a href="mailto:st_lim@eXtropia.com">Lim Swee Tat</a>
 * @version $Id: SmsDispatcher.java,v 1.4 2002/11/16 08:45:13 rayfd Exp $
 */
public interface SmsDispatcher extends Configurable {
    public void send(Sms sms) throws SmsDispatchException;
} // SmsDispatcher.java
