/* 
 * UrlParams.java
 * Copyright (C) 2000 - 2001  eXtropia.com
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package com.eXtropia.webcal.action;

/** 
 *
 * @author  Tim Parker (tim.parker@eXtropia.com)
 * @version 1.0
 */
public interface UrlParams {
    public static final String SUBJECT = "subject";
    public static final String DESCRIPTION = "description";
    public static final String LOCATION = "location";
    public static final String PRIORITY = "priority";
    public static final String STATUS = "status";
    public static final String START_DATE = "startdate";
    public static final String END_DATE = "enddate";
    public static final String ALL_DAY_EVENT = "ade";
    public static final String RECURRENCE = "recurrence";
    public static final String RECUR_UNTIL = "recuruntil";
}