/* 
 * DataSourceColumns.java
 * Copyright (C) 2000 - 2001  eXtropia.com
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package com.eXtropia.webcal.datasource;

/** 
 *
 * @author  Tim Parker (tim.parker@eXtropia.com)
 * @version 
 */
public interface DataSourceColumns {
    public static final String ID = "ID";
    public static final String TYPE = "TYPE";
    public static final String OWNER = "OWNER";
    public static final String START_DATE = "START_DATE";
    public static final String END_DATE = "END_DATE";
    public static final String SUBJECT = "SUBJECT";
    public static final String DESCRIPTION = "DESCRIPTION";
    public static final String LOCATION = "LOCATION";
    public static final String STATUS = "STATUS";
    public static final String PRIORITY = "PRIORITY";
    public static final String LAST_MOD_BY = "LAST_MOD_BY";
    public static final String LAST_MOD = "LAST_MOD";
    public static final String RECURRENCE = "RECURRENCE";
    public static final String RECURRENCE_UNTIL_DATE = "R_UNTIL";
    public static final String RECURRENCE_INTERVAL = "R_INTERVAL";
    public static final String RECURRENCE_DAY_OF_WEEK = "R_DOW_MASK";
    public static final String RECURRENCE_INSTANCE = "R_INSTANCE";

    public static final int TYPE_TASK = 1;
    public static final int TYPE_EVENT = 2;
    public static final int TYPE_APPOINTMENT = 4;
    public static final int TYPE_HOLIDAY = 8;
    public static final int TYPE_ALL = 0;

    public static final int RECURRENCE_NONE = -1;
    public static final int RECURRENCE_DAILY = 0;
    public static final int RECURRENCE_WEEKLY = 1;
    public static final int RECURRENCE_MONTHLY = 2;
    public static final int RECURRENCE_MONTHLY_NTH = 3;
    public static final int RECURRENCE_YEARLY = 5;
    public static final int RECURRENCE_YEARLY_NTH = 6;
}
