/* 
 * Views.java
 * Copyright (C) 2000 - 2001  eXtropia.com
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package com.eXtropia.webcal.view;

/** 
 *
 * @author  Tim Parker (tim.parker@eXtropia.com)
 * @version 1.0
 */
public interface WebCalViews extends com.eXtropia.app.servlet.Views {
    public static final String DAY = "Day";
    public static final String WEEK = "Week";
    public static final String MONTH = "Month";
    public static final String SEARCH = "Search";
    public static final String HOLIDAY = "Holiday";
    public static final String TASK = "Task";
    public static final String ADD = "Add";
    public static final String MODIFY = "Modify";
    public static final String ADD_TASK = "AddTask";
    public static final String ADD_HOLIDAY = "AddHoliday";
    public static final String MODIFY_TASK = "ModifyTask";
    public static final String MODIFY_HOLIDAY = "ModifyHoliday";

    public static final String[] ALL_VIEWS = { DAY, WEEK, MONTH, SEARCH, HOLIDAY, TASK, ADD, MODIFY, ADD_TASK, MODIFY_TASK, ADD_HOLIDAY, MODIFY_HOLIDAY };
}
