<%@ taglib uri="/view-taglib" prefix="view"%>
<%@ taglib uri="/auth-taglib" prefix="auth"%>
<%@ page import="com.eXtropia.webcal.view.WebCalViews" %>
<%@ page import="java.util.*" %>
<%@ page import="java.text.*" %>
<%@page import="com.eXtropia.app.servlet.*" %>
<jsp:useBean id="gesture" class="com.eXtropia.webcal.action.WebCalUserGesture" scope="request"/>
<jsp:useBean id="gestureResponse" class="com.eXtropia.webcal.action.WebCalUserGestureResponse" scope="request"/>
<%
	Locale locale= (Locale)session.getAttribute(ServletUtils.SESSION_ATTRIBUTE_LOCALE);
	DateFormat dateFormat= new SimpleDateFormat("dd", locale);
	DateFormat monthFormat= new SimpleDateFormat("MMM", locale);
	DateFormat yearFormat= new SimpleDateFormat("yyyy", locale);
	String view= null;
	if(gesture != null)
		view= gesture.getTargetView();
	if(view == null)
		view= gestureResponse.getView();
	if(view == null)
		view= "";
	Boolean date1NoDate= (Boolean)request.getAttribute("HeaderDate1NoDate");
	Date dateObj1= (Date)request.getAttribute("HeaderDate1");

	Date dateObj2= (Date)request.getAttribute("HeaderDate2");
	String date1, month1, year1, date2= null, month2= null, year2= null;
	if(dateObj1 != null)
	{
		date1= dateFormat.format(dateObj1);
		month1= monthFormat.format(dateObj1);
		year1= yearFormat.format(dateObj1);
	}
	else
	{
		date1= "&nbsp;";
		month1= "&nbsp;";
		year1= "&nbsp;";
	}
	if(dateObj2 != null)
	{
		date2= dateFormat.format(dateObj2);
		month2= monthFormat.format(dateObj2);
		year2= yearFormat.format(dateObj2);
	}
%>
<HTML>
	<HEAD>
		<TITLE>eXtropia WebCal</TITLE>
		<LINK REL="STYLESHEET" HREF="/extropia.css" TYPE="text/css">
	</HEAD>
	<BODY>
		<TABLE CELLSPACING="0" CELLPADDING="0" BORDER="0" WIDTH="100%">
			<TR BGCOLOR="#666666">
				<TD>
					<TABLE CELLSPACING="1" CELLPADDING="0" BORDER="0" WIDTH="100%">
						<TR>
							<TD BGCOLOR="#FFFFFF" ROWSPAN="2" VALIGN="TOP">
								<IMG SRC="/Images/logo.gif">
							</TD>
							<TD BGCOLOR="#DCDCDC" ALIGN="CENTER" WIDTH="60">
								<FONT FACE="Verdana">
									<% if(date1NoDate != null && date1NoDate.equals(Boolean.TRUE)) { %>
										<FONT SIZE="+2">
											<B>
												<%= month1 %>
											</B>
											</FONT>
									<% } else { %>
										<FONT SIZE="+2">
											<B>
												<%= date1 %>
											</B>
											</FONT>
										<BR>
										<FONT SIZE="+1">
											<%= month1 %>
										</Font>
									<% } %>
								</Font>
							</TD>
							<% if(dateObj2 != null) { %>
								<TD BGCOLOR="#DCDCDC" ALIGN="CENTER" WIDTH="60">
									<FONT FACE="Verdana">
										<FONT SIZE="+2">
											<B>
												<%= date2 %>
											</B>
											</FONT>
										<BR>
										<FONT SIZE="+1">
											<%= month2 %>
										</Font>
									</Font>
								</TD>
							<% } %>
						</TR>
						<TR>
							<TD ALIGN="CENTER" BGCOLOR="#666666">
								<FONT <FONT FACE="Verdana" COLOR="#FFFFFF" SIZE="-2"><B><%= year1 %></B></TD>
							</TD>
							<% if(dateObj2 != null) { %>
								<TD ALIGN="CENTER" BGCOLOR="#666666">
									<FONT <FONT FACE="Verdana" COLOR="#FFFFFF" SIZE="-2"><B><%= year2 %></B></TD>
								</TD>
							<% } %>
						</TR>
						<TR>
							<TD COLSPAN="3" ALIGN="RIGHT" VALIGN="MIDDLE" BGCOLOR="#FFFFFF">
								&nbsp;<FONT SIZE="-2">
									&nbsp;&nbsp;<view:urlNavigation view="Day" cssClass="TAB2"><%= view.equals(WebCalViews.DAY)?"<FONT COLOR=\"#FF9900\">":"" %><B><view:localized id="view.Day.title"/></B><%= view.equals(WebCalViews.DAY)?"</FONT>":"" %></view:urlNavigation>&nbsp;&nbsp;|
									&nbsp;&nbsp;<view:urlNavigation view="Week" cssClass="TAB2"><%= view.equals(WebCalViews.WEEK)?"<FONT COLOR=\"#FF9900\">":"" %><B><view:localized id="view.Week.title"/></B><%= view.equals(WebCalViews.WEEK)?"</FONT>":"" %></view:urlNavigation>&nbsp;&nbsp;|
									&nbsp;&nbsp;<view:urlNavigation view="Month" cssClass="TAB2"><%= view.equals(WebCalViews.MONTH)?"<FONT COLOR=\"#FF9900\">":"" %><B><view:localized id="view.Month.title"/></B><%= view.equals(WebCalViews.MONTH)?"</FONT>":"" %></view:urlNavigation>&nbsp;&nbsp;|
									&nbsp;&nbsp;<view:urlNavigation view="Holiday" cssClass="TAB2"><%= view.equals(WebCalViews.HOLIDAY)?"<FONT COLOR=\"#FF9900\">":"" %><B><view:localized id="view.Holiday.title"/></B><%= view.equals(WebCalViews.HOLIDAY)?"</FONT>":"" %></view:urlNavigation>&nbsp;&nbsp;|
									&nbsp;&nbsp;<view:urlNavigation view="Task" cssClass="TAB2"><%= view.equals(WebCalViews.TASK)?"<FONT COLOR=\"#FF9900\">":"" %><B><view:localized id="view.Task.title"/></B><%= view.equals(WebCalViews.TASK)?"</FONT>":"" %></view:urlNavigation>&nbsp;&nbsp;|
									&nbsp;&nbsp;<view:urlNavigation view="Search" cssClass="TAB2"><%= view.equals(WebCalViews.SEARCH)?"<FONT COLOR=\"#FF9900\">":"" %><B><view:localized id="view.Search.title"/></B><%= view.equals(WebCalViews.SEARCH)?"</FONT>":"" %></view:urlNavigation>&nbsp;&nbsp;
									<auth:ifLoggedIn>|
										&nbsp;&nbsp;<auth:updateProfileUrl cssClass="TAB2"><B><view:localized id="view.all.updateprofile"/></B></auth:updateProfileUrl>&nbsp;&nbsp;
									</auth:ifLoggedIn>
								
								</FONT>
							</TD>
						</TR>
					</TABLE>
				</TD>
			</TR>
		</TABLE>

