<%@ taglib uri="/webcal-taglib" prefix="webcal"%>
<%@ taglib uri="/view-taglib" prefix="view"%>
<%@page import="java.util.*" %>
<%@page import="java.text.*" %>
<%@page import="com.eXtropia.view.NextTag" %>
<%@page import="com.eXtropia.webcal.EventOccurrence" %>
<%@page import="com.eXtropia.app.servlet.*" %>
<jsp:useBean id="gesture" class="com.eXtropia.webcal.action.WebCalUserGesture" scope="request"/>
<jsp:useBean id="gestureResponse" class="com.eXtropia.webcal.action.WebCalUserGestureResponse" scope="request"/>
<%
	request.setAttribute("HeaderDate1", gesture.getFocusDate());
	request.setAttribute("HeaderDate1NoDate", Boolean.TRUE);
%>
<jsp:include page="Header.jsp" flush="true"/>
<%
	Locale locale= (Locale)session.getAttribute(ServletUtils.SESSION_ATTRIBUTE_LOCALE);
	DateFormat df= new SimpleDateFormat("MMMMM yyyy", locale);
	DateFormat linkFormat= new SimpleDateFormat("yyyy-MM-dd");
	DateFormat displayFormat= new SimpleDateFormat("d", locale);
	String formattedMonthName= df.format(gesture.getFocusDate());
	Calendar calendar= Calendar.getInstance();
	calendar.setTime(gesture.getFocusDate());
	calendar.add(Calendar.MONTH, -1);
	String prevDateLink= linkFormat.format(calendar.getTime());
	calendar.add(Calendar.MONTH, 2);
	String nextDateLink= linkFormat.format(calendar.getTime());
%>
<TABLE CELLSPACING="0" CELLPADDING="0" BORDER="0" WIDTH="100%">
	<TR>
		<TD COLSPAN="7">
			&nbsp;
		</TD>
	</TR>
	<TR BGCOLOR="#FFFFFF">
		<TD>
			<TABLE CELLSPACING="1" CELLPADDING="1" BORDER="0" WIDTH="100%">
				<TR>
					<TH COLSPAN="7">
						<TABLE CELLSPACING="0" CELLPADDING="0" BORDER="0" WIDTH="100%">
							<TR>
								<TH>
									<%= formattedMonthName %>
								</TH>
								<TH CLASS="RIGHT" ><webcal:dateHref date="<%= prevDateLink %>" view="Month"><IMG BORDER="0" ALIGN="ABSMIDDLE" SRC="/Images/down.gif" ALT="Previous"></webcal:dateHref><webcal:dateHref date="<%= nextDateLink %>" view="Month"><IMG BORDER="0" ALIGN="ABSMIDDLE" SRC="/Images/up.gif" ALT="Next"></webcal:dateHref></TH>
							</TR>
						</TABLE>
					</TH>
				</TR>
				<TR>
<%-- Print out the days of the week (start from the first day of the week --%>
<%
	calendar= Calendar.getInstance();
	calendar.add(Calendar.DATE, calendar.getFirstDayOfWeek() - calendar.get(Calendar.DAY_OF_WEEK));
	df= new SimpleDateFormat("EEEEE", locale);
	for(int i=0;i<7;i++)
	{
		%>
		<TH CLASS="HEADERLABEL" WIDTH="14%">
			<%= df.format(calendar.getTime()) %>
		</TH>
<%
		calendar.add(Calendar.DATE, 1);
	}
%>
</TR>
<%-- NOW OUTPUT THE DAYS --%>
<%
	Date currentDate, currentNextDate;
	int cellsDrawn= 0;

	Calendar today= Calendar.getInstance();
	today.setTime(com.eXtropia.webcal.Utilities.clearTime(today.getTime()));
	calendar.setTime(gestureResponse.getOccurrenceStartDate());
	Date occurrenceEndDate= gestureResponse.getOccurrenceEndDate();
	
	Calendar tempCal= Calendar.getInstance();
	tempCal.setTime(gesture.getFocusDate());
	int myMonth= tempCal.get(Calendar.MONTH);
	EventOccurrence occurrence;
	
	while(calendar.getTime().compareTo(occurrenceEndDate) != 1)
	{
		currentDate= calendar.getTime();
		tempCal.setTime(currentDate);
		tempCal.add(Calendar.DATE, 1);
		currentNextDate= tempCal.getTime();
		if(cellsDrawn % 7 == 0)
		{
			if(((int)(cellsDrawn/7)) % 2 == 0) {
			%><TR CLASS="ALT"><%
			} else {
			%><TR CLASS="ALT2"><% }
		}

		if(calendar.getTime().compareTo(today.getTime()) == 0) //this is today
		{
			%><TH CLASS="LABEL" VALIGN="TOP" HEIGHT="70">
						<webcal:dateHref date="<%= linkFormat.format(currentDate) %>" view="Day"><%= displayFormat.format(currentDate) %></webcal:dateHref><BR>
						<webcal:eventOccurrenceIterator startDate="<%= currentDate %>" endDate="<%= currentNextDate %>" type="holiday">
							<view:next>
								<B><webcal:eventWidget id="subject"/></B><BR>
							</view:next>
						</webcal:eventOccurrenceIterator>
						<webcal:eventOccurrenceIterator startDate="<%= currentDate %>" endDate="<%= currentNextDate %>" type="event">
							<view:next>
								<webcal:details cssClass="DARK" targetView="Month"><webcal:eventWidget id="subject"/></webcal:details><BR>
							</view:next>
						</webcal:eventOccurrenceIterator>
						<webcal:eventOccurrenceIterator startDate="<%= currentDate %>" endDate="<%= currentNextDate %>" type="appointment">
							<view:next>
								<webcal:details cssClass="DARK" targetView="Month"><%
								occurrence= (EventOccurrence)request.getAttribute(NextTag.REQUEST_ATTRIBUTE_NAME);
								if(occurrence.getStartDate().compareTo(currentDate) == -1)
								{
									//then the appointment started yesterday
									%><view:localized id="view.all.continued"/><%
								}
								else
								{
									%><webcal:eventWidget id="starttime"/><%
								}
							%> <webcal:eventWidget id="subject"/><webcal:eventWidget id="location"/></webcal:details><BR>
							</view:next>
						</webcal:eventOccurrenceIterator>
				</TH><%
		}
		else
		{
			if(calendar.get(Calendar.MONTH) == myMonth)
			{
				%><TD VALIGN="TOP" HEIGHT="70">
						<webcal:dateHref date="<%= linkFormat.format(currentDate) %>" view="Day"><%= displayFormat.format(currentDate) %></webcal:dateHref><BR>
						<webcal:eventOccurrenceIterator startDate="<%= currentDate %>" endDate="<%= currentNextDate %>" type="holiday">
							<view:next>
								<B><webcal:eventWidget id="subject"/></B><BR>
							</view:next>
						</webcal:eventOccurrenceIterator>
						<webcal:eventOccurrenceIterator startDate="<%= currentDate %>" endDate="<%= currentNextDate %>" type="event">
							<view:next>
								<webcal:details cssClass="DARK" targetView="Month"><webcal:eventWidget id="subject"/></webcal:details><BR>
							</view:next>
						</webcal:eventOccurrenceIterator>
						<webcal:eventOccurrenceIterator startDate="<%= currentDate %>" endDate="<%= currentNextDate %>" type="appointment">
							<view:next>
								<webcal:details cssClass="DARK" targetView="Month"><%
								occurrence= (EventOccurrence)request.getAttribute(NextTag.REQUEST_ATTRIBUTE_NAME);
								if(occurrence.getStartDate().compareTo(currentDate) == -1)
								{
									//then the appointment started yesterday
									%><view:localized id="view.all.continued"/><%
								}
								else
								{
									%><webcal:eventWidget id="starttime"/><%
								}
							%> <webcal:eventWidget id="subject"/><webcal:eventWidget id="location"/></webcal:details><BR>
							</view:next>
						</webcal:eventOccurrenceIterator>
					</TD><%
			}
			else
			{
				%><TD VALIGN="TOP" HEIGHT="70">
						<webcal:dateHref cssClass="LIGHT" date="<%= linkFormat.format(currentDate) %>" view="Day"><%= displayFormat.format(currentDate) %></webcal:dateHref><BR>
						<webcal:eventOccurrenceIterator startDate="<%= currentDate %>" endDate="<%= currentNextDate %>" type="holiday">
							<view:next>
								<B><webcal:eventWidget id="subject"/></B><BR>
							</view:next>
						</webcal:eventOccurrenceIterator>
						<webcal:eventOccurrenceIterator startDate="<%= currentDate %>" endDate="<%= currentNextDate %>" type="event">
							<view:next>
								<webcal:details cssClass="LIGHT" targetView="Month"><webcal:eventWidget id="subject"/></webcal:details><BR>
							</view:next>
						</webcal:eventOccurrenceIterator>
						<webcal:eventOccurrenceIterator startDate="<%= currentDate %>" endDate="<%= currentNextDate %>" type="appointment">
							<view:next>
								<webcal:details cssClass="LIGHT" targetView="Month"><%
								occurrence= (EventOccurrence)request.getAttribute(NextTag.REQUEST_ATTRIBUTE_NAME);
								if(occurrence.getStartDate().compareTo(currentDate) == -1)
								{
									//then the appointment started yesterday
									%><view:localized id="view.all.continued"/><%
								}
								else
								{
									%><webcal:eventWidget id="starttime"/><%
								}
							%> <webcal:eventWidget id="subject"/><webcal:eventWidget id="location"/></webcal:details><BR>
							</view:next>
						</webcal:eventOccurrenceIterator>
					</TD><%
			}
		}

		if(++cellsDrawn % 7 == 0)
		{
			%></TR><%
		}
		calendar.add(Calendar.DATE, 1);
	}
%>
			</TABLE>
		</TD>
	</TR>
</TABLE>
<%@ include file="Footer.jsp" %>