<%@ taglib uri="/view-taglib" prefix="view"%>
<%@ taglib uri="/webcal-taglib" prefix="webcal"%>
<%@page import="java.text.*" %>
<%@page import="java.util.*" %>
<%@page import="com.eXtropia.webcal.*" %>
<%@page import="com.eXtropia.view.*" %>
<%@page import="com.eXtropia.app.servlet.*" %>
<jsp:useBean id="gesture" class="com.eXtropia.webcal.action.WebCalUserGesture" scope="request"/>
<jsp:useBean id="gestureResponse" class="com.eXtropia.webcal.action.WebCalUserGestureResponse" scope="request"/>
<%
	Locale locale= (Locale)session.getAttribute(ServletUtils.SESSION_ATTRIBUTE_LOCALE);
	Date startDate= gestureResponse.getOccurrenceStartDate();
	Date endDate= gestureResponse.getOccurrenceEndDate();
	Calendar cal= Calendar.getInstance();
	cal.setTime(startDate);

	DateFormat perDayFormat= DateFormat.getDateInstance(DateFormat.FULL, locale);
	String formattedDate;

	Date currentDateStart, currentDateEnd;

	while(cal.getTime().compareTo(endDate) < 0)
	{
		formattedDate= perDayFormat.format(cal.getTime());
		currentDateStart= cal.getTime();
		cal.add(Calendar.DATE, 1);
		currentDateEnd= cal.getTime();
		EventOccurrence occurrence= null;
%>
<TABLE CELLSPACING="0" CELLPADDING="0" BORDER="0" WIDTH="100%">
	<TR BGCOLOR="#FFFFFF">
		<TD>
			<TABLE CELLSPACING="1" CELLPADDING="2" BORDER="0" WIDTH="100%">
				<TR>
					<TH WIDTH="100%">
						<%= formattedDate %>
					</TH>
					<TH CLASS="RIGHT">
						<webcal:addUrl date="<%= currentDateStart %>" targetView="Week"><IMG SRC="/Images/add.gif" BORDER="0"></webcal:addUrl>
					</TH>
				</TR>
				<TR CLASS="ALT">
					<TD COLSPAN="2">
						<% int eventCount= 0; %>
						<CENTER><B>
							<webcal:eventOccurrenceIterator startDate="<%= currentDateStart %>" endDate="<%= currentDateEnd %>" type="holiday">
								<view:next>
									<webcal:eventWidget id="subject"/><BR>
									<% eventCount++; %>
								</view:next>
							</webcal:eventOccurrenceIterator>
						</B></CENTER>
						<CENTER>
							<webcal:eventOccurrenceIterator startDate="<%= currentDateStart %>" endDate="<%= currentDateEnd %>" type="event">
								<view:next>
									<webcal:details cssClass="DARK" targetView="Day"><webcal:eventWidget id="subject"/><webcal:eventWidget id="location"/></webcal:details><BR>
									<% eventCount++; %>
								</view:next>
							</webcal:eventOccurrenceIterator>
						</CENTER>
						<webcal:eventOccurrenceIterator startDate="<%= currentDateStart %>" endDate="<%= currentDateEnd %>" type="appointment">
							<view:next>
								<webcal:details cssClass="DARK" targetView="Week"><%
								occurrence= (EventOccurrence)request.getAttribute(NextTag.REQUEST_ATTRIBUTE_NAME);
								if(occurrence.getStartDate().compareTo(currentDateStart) == -1)
								{
									//then the appointment started yesterday
									%><view:localized id="view.all.continued"/><%
								}
								else
								{
									%><webcal:eventWidget id="starttime"/><%
								}
							%> <webcal:eventWidget id="subject"/><webcal:eventWidget id="location"/></webcal:details> <webcal:recurrencePatternWidget id="recurrence" event="<%= occurrence.getEvent() %>"/><BR>
							<% eventCount++; %>
							</view:next>
						</webcal:eventOccurrenceIterator>
						<% if(eventCount == 0) { %>&nbsp;<% } %>
					</TD>
				</TR>
				<%--<TR>
					<TH CLASS="HEADERLABEL" WIDTH="100%">
						&nbsp;
					</TH>
					<TH CLASS="RIGHT">
						<webcal:addUrl date="<%= currentDateStart %>" targetView="Week"><IMG SRC="/Images/add.gif" BORDER="0"></webcal:addUrl>
					</TH>
				</TR>--%>
			</TABLE>
		</TD>
	</TR>
</TABLE>
<BR>
<%
	}
%>